Skip to main content
GET
/
v1
/
api-keys
/
List API Keys
curl --request GET \
  --url https://api.example.com/v1/api-keys/
import requests

url = "https://api.example.com/v1/api-keys/"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v1/api-keys/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "created_at": "2024-01-01T00:00:00",
      "expiration_date": "2024-12-31T23:59:59",
      "key_id": "507f1f77bcf86cd799439011",
      "name": "Development API Key",
      "permissions": [
        "read",
        "write"
      ],
      "revoked": false
    }
  ],
  "next_page_token": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Query Parameters

page_size
integer
default:20
page_token
string | null

Response

Successful Response

data
APIKeyResponse · object[]
required

List of API keys matching the query parameters

next_page_token
string | null

Token for retrieving the next page of results. Null if there are no more results